# Uses of Class
com.fasterxml.jackson.core.filter.TokenFilterContext

Packages that use TokenFilterContext
Package
Description
com.fasterxml.jackson.core.filter

## Uses of TokenFilterContext in com.fasterxml.jackson.core.filter

Fields in com.fasterxml.jackson.core.filter declared as TokenFilterContext
Modifier and Type
Field
Description
`protected TokenFilterContext`
TokenFilterContext.`_child`
`protected TokenFilterContext`
FilteringParserDelegate.`_exposedContext`
In cases where `FilteringParserDelegate._headContext` is "ahead" of context exposed to caller, this context points to what is currently exposed to caller.
`protected TokenFilterContext`
FilteringGeneratorDelegate.`_filterContext`
Although delegate has its own output context it is not sufficient since we actually have to keep track of excluded (filtered out) structures as well as ones delegate actually outputs.
`protected TokenFilterContext`
FilteringParserDelegate.`_headContext`
During traversal this is the actual "open" parse tree, which sometimes is the same as `FilteringParserDelegate._exposedContext`, and at other times is ahead of it.
`protected final TokenFilterContext`
TokenFilterContext.`_parent`
Parent context for this context; null for root context.
Methods in com.fasterxml.jackson.core.filter that return TokenFilterContext
Modifier and Type
Method
Description
`TokenFilterContext`
TokenFilterContext.`closeArray(JsonGenerator gen)`
`TokenFilterContext`
TokenFilterContext.`closeObject(JsonGenerator gen)`
`TokenFilterContext`
TokenFilterContext.`createChildArrayContext(TokenFilter filter, boolean writeStart)`
`TokenFilterContext`
TokenFilterContext.`createChildObjectContext(TokenFilter filter, boolean writeStart)`
`static TokenFilterContext`
TokenFilterContext.`createRootContext(TokenFilter filter)`
`TokenFilterContext`
TokenFilterContext.`findChildOf(TokenFilterContext parent)`
`final TokenFilterContext`
TokenFilterContext.`getParent()`
`protected TokenFilterContext`
TokenFilterContext.`reset(int type, TokenFilter filter, boolean startWritten)`
Methods in com.fasterxml.jackson.core.filter with parameters of type TokenFilterContext
Modifier and Type
Method
Description
`protected final JsonToken`
FilteringParserDelegate.`_nextTokenWithBuffering(TokenFilterContext buffRoot)`
`TokenFilterContext`
TokenFilterContext.`findChildOf(TokenFilterContext parent)`
Constructors in com.fasterxml.jackson.core.filter with parameters of type TokenFilterContext
Modifier
Constructor
Description
`protected`
`TokenFilterContext(int type, TokenFilterContext parent, TokenFilter filter, boolean startHandled)`